# Class FieldRefChecker

java.lang.Object
uk.ac.starlink.ttools.votlint.RefChecker
uk.ac.starlink.ttools.votlint.FieldRefChecker

All Implemented Interfaces:
  `AttributeChecker`

public class FieldRefChecker extends RefChecker
Attribute checker for ref attributes that point to FIELDs.

Since:
  7 Apr 2005
Author:
  Mark Taylor (Starlink0

## Constructor Summary

Constructors
Constructor
Description
`FieldRefChecker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkLink(VotLintContext context, ElementRef from, ElementRef to)`

### Methods inherited from class RefChecker

`check, checkLink`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldRefChecker

public FieldRefChecker()

## Method Details

### checkLink

public void checkLink(VotLintContext context, ElementRef from, ElementRef to)